/*********************************************************************

 Author        : ADI - Apps            www.analog.com/MicroConverter

 Date          : June. 2007

 File          : Flash.c , RAM.c

 Hardware      : Applicable to ADuC702x rev H or I silicon
                 Currently targetting ADuC7028.

 Description   : This example demonstrate how to place functions in RAM.
 				 The LED (D2) is turned on and the program then jumps to
				 the RAM function and compliments the LED.

 Note			: The files syscalls.c and serial.c are required.
		
*********************************************************************/


#include <ADuC7028.h>
#include<stdio.h>

//	Function Prototype
extern void Ram_Function(void);
void delay(int);

unsigned int RAMcount = 0;

int main(void)
{
	GP4DAT = 0x04000000; 	// P4.2 configured as an output. LED is turned on	

	while(1)
	{
		Ram_Function();		// function call to execute from RAM
	}

}


  	  

void delay (int length)
{
	while (length >=0)
    	length--;
}
